import { ChainableFilter } from "../../chainable/Chainable";
import { UnifiedSteemTransaction } from "../../blockchain/UnifiedSteemTransaction";
export declare class DateLimiter extends ChainableFilter<UnifiedSteemTransaction, DateLimiter> {
    private until;
    constructor(until: Date);
    protected me(): DateLimiter;
    protected take(error: Error | undefined, comparedTx: UnifiedSteemTransaction): boolean;
}
